<template>
  <div class="product">
    <div class="product_image">
      <router-link :to="serie.url">
        <img
          :src="
            $axios.defaults.baseURL +
            '/' +
            $i18n.locale +
            '/images/album/' +
            (isSubscription
              ? serie.ean_last_album_subscription
              : serie.ean_last_album) +
            '-170or240.jpg?v=' +
            serie.version
          "
          :alt="serie.slug"
          :class="{ product_adult: serie.gender.includes('Adult') }"
        />
        <div
          v-if="serie.gender.includes('Adult')"
          class="product_adult_disclaim"
        >
          18+
        </div>
      </router-link>
      <span
        v-if="serie.banner"
        :class="'product_label text--md product_banner-' + serie.banner"
        >{{ $t('catalog.banner.' + serie.banner) }}</span
      >
    </div>
    <router-link :to="serie.url">
      <h4 class="product_title text text--sm text--primary text--bold">
        {{ truncateText(serie.name) }}
      </h4>
    </router-link>
    <p class="product_numbers text text--sm text--primary text--medium">
      {{ serie.albums_count }} {{ $tc('serie.volume', serie.albums_count) }}
    </p>

    <StarRank :avgstar="serie.rate" :countnote="serie.rate_amount" />

    <router-link
      :to="{
        name: 'cataloggender',
        params: { shelf: $route.params.shelf, gender: serie.gender_slug }
      }"
    >
      <p class="product_category text text--sm text--primary text--medium">
        {{ serie.gender_name }}
      </p>
    </router-link>
    <p
      v-if="serie.lowest_price != 'N/A' && !isSubscription"
      class="product_price text text--sm text--primary text--medium"
    >
      <span>{{ $t('serie.fromprice') }}</span>
      <span v-if="serie.lowest_oldprice != 'N/A'">
        &nbsp;
        <del v-html="serie.lowest_oldprice_html"></del>
      </span>
      <span
        style="opacity: 1 !important"
        v-html="serie.lowest_price_html"
      ></span>
    </p>
  </div>
</template>

<script>
import StarRank from '@/components/ui/StarRank'

export default {
  name: 'Smallserie',
  components: { StarRank },
  props: {
    serie: { type: Object, required: true },
    isSubscription: {
      type: Boolean,
      required: true
    }
  },
  methods: {
    truncateText(value) {
      let text = value
      if (text.length > 42) {
        text = text.slice(0, 42)
        text =
          text.substr(0, Math.min(text.length, text.lastIndexOf(' '))) + '...'
      }

      return text
    }
  }
}
</script>

<style scoped lang="scss">
.adult {
  -webkit-filter: grayscale; /*sepia, hue-rotate, invert....*/
  -webkit-filter: brightness(30%);
}

.adult_disclaim {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 80px;
  height: 80px;
  line-height: 70px;
  text-align: center;
  vertical-align: middle;
  font-size: 36px;
  font-weight: bold;
  color: #fff;
  border-radius: 50%;
  border: 5px solid #f3f3f3;
}

.product--slider {
  pointer-events: auto !important;
  display: block !important;
}
</style>
